% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/netHTML.R
\name{netHTML}
\alias{netHTML}
\title{Generate Network Maze (No arrows)}
\usage{
netHTML(nodeLogic = NULL, wd = NULL, names = NULL, concerto = "C5")
}
\arguments{
\item{nodeLogic}{This is the connections between the nodes.}

\item{wd}{This is the working directory to save the HTML source code in. If not given, the file will be saved in the default working directory.}

\item{names}{This allows you to put in your own names in the nodes when generating the maze.}

\item{concerto}{Choose between concerto 4 or concerto 5. CSS scale on concerto 5 is slightly off. So if you are not using concerto, you might want to change the default option to concerto 4 instead.}
}
\description{
This function generates an network Maze with at most 2 arrows.
}
\details{
This function creates a maze and is saved into your working directory. At most up to 2 arrows per maze is generated.
}
\examples{

#create node logic
logic <- nodeLogic(value = 8, type= "circuit", itemFamily= 1)

#Folder to save html/
#setwd("~/desktop")
#filePath<- getwd()

#Generate item
set.seed(1)
netHTML(logic, wd=NULL, names=NULL, concerto="C5")


}
\author{
Aiden Loe
}
