% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nodeLogic.R
\name{nodeLogic}
\alias{nodeLogic}
\title{Node Logic}
\usage{
nodeLogic(value, type, itemFamily)
}
\arguments{
\item{value}{seed value}

\item{type}{select either 'circuit' or 'trail' type network maze.}

\item{itemFamily}{There are 9 item family for circuit and 6 item family for trail type network maze.}
}
\description{
This function generates the node logic for circuit (9 item family) or trail (6 item family) type maze. Please refer to details for more information
}
\details{
Currently, there are 9 item families for circuit type items and 6 item families for trail type mazes. They are by no means based on increasing difficulty. This is based on the uniquness of each pattern.

Circuit (radical 1). 2 Same even number nodes
\itemize{
 \item{Item Family 1: }{In total 4 moves}
 \item{Item Family 2: }{In total 8 moves}
 \item{Item Family 3: }{In total 12 Moves}
 \item{Item Family 4: }{In total 16 of moves}
 }

 Circuit (radical 2).  Different even number nodes
 \itemize{
 \item{Item Family 5: }{In total 6 moves. 1 node with 4 edges (Sample Item 2).}
 \item{Item Family 6: }{In total 9 moves. 2 nodes with 4 edges}
 \item{Item Family 7: }{In total 12 moves. 3 nodes with 4 edges}
 \item{Item Family 8: }{In total 15 moves. 1 node with 6 edges, 2 nodes with 4 edges, the rest with 2 edges}
 \item{Item Family 9: }{In total 12 moves. 1 node with 6 edges, 1 node with 4 edges, the rest with 2 edges.}
}

Trail.  Same uneven number of nodes
\itemize{
\item{Item Family 1: }{In total 6 moves}
\item{Item Family 2: }{In total 10 moves}
\item{Item Family 3: }{In total 14 moves}
\item{Item Family 4: }{In total 9 moves}
\item{Item Family 5: }{In total 13 moves}
\item{Item Family 6: }{In total 10 move}
}
}
\examples{
nodeLogic(value = 1, type= "circuit", itemFamily= 1)

}
\author{
Aiden Loe
}
